no gtk-config for GTK+2

Albert Wagner alwagner at tcac.net
Wed Jan 22 06:39:50 PST 2003


I am trying to compile mozilla-1.0.2 for LFS4.0.  I have GTK+-2.2.0 
installed.  However, ./configure --prefix=/usr --enable-toolkit-gtk
for mozilla fails with:
checking for gtk-config... no
checking for GTK - version >= 1.2.0... no
*** The gtk-config script installed by GTK could not be found.
*** If GTK was installed in PREFIX, make sure PREFIX/bin is in
*** your path, or set the GTK_CONFIG environment variable to the
*** full path to gtk-config.
*** GTK+ is available from ftp://ftp.gtk.org/pub/gtk
configure: error: Test for GTK failed.

GTK+-2.2.0 does not seem to have installed a gtk-config file.  Is this 
still used in GTK+-2.2.0?  I also see no option in ./configure --help 
specifically for GTK+-2.2.0.
If anyone has installed mozilla-1.0.2 using GTK+-2.2.0 I would 
appreciate any help you may offer. (GTK+-2.2.0 seems to be installed 
correctly, in that I am running other apps that use it)

-- 
Unsubscribe: send email to listar at linuxfromscratch.org
and put 'unsubscribe blfs-support' in the subject header of the message



More information about the blfs-support mailing list